Index: code/branches/cegui0.8_ogre1.9/data/levels/asteroidField.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/asteroidField.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/asteroidField.oxw	(revision 11795)
@@ -66,5 +66,5 @@
 
     <!-- Planet close to spawn point -->
-    <Planet
+    <MovableEntity
       position="15000,0,0"
       scale="5000"
@@ -74,20 +74,25 @@
       mass="10000000"
       pitch="0"
-      mesh="planets/muunilinst.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+        <Planet
+          mesh="planets/muunilinst.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="5000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
 
Index: code/branches/cegui0.8_ogre1.9/data/levels/dockingToASpaceStation.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/dockingToASpaceStation.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/dockingToASpaceStation.oxw	(revision 11795)
@@ -153,5 +153,5 @@
     ?>
 
-    <Planet
+    <MovableEntity
       position="15000,0,-1000"
       scale="5000"
@@ -161,20 +161,25 @@
       mass="10000000"
       pitch="0"
-      mesh="planets/ganymede.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+        <Planet
+          mesh="planets/ganymede.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="5000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
   </Scene>
Index: code/branches/cegui0.8_ogre1.9/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/dynamicMatch.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/dynamicMatch.oxw	(revision 11795)
@@ -33,6 +33,10 @@
 
 <!-- ------------------Planet needs gravity----------------- -->
-<Planet position="0,0,0" scale=500 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
-<StaticEntity position="0,0,0" collisionType=static>
+    <MovableEntity position="0,0,0" scale=500 pitch=-90 rotationaxis="8,1,0" rotationrate="1">
+      <attached>
+        <Planet mesh="iceplanet.mesh" atmosphere="atmosphere1" atmospheresize=224.0f imagesize=1024.0f />
+      </attached>
+    </MovableEntity>
+    <StaticEntity position="0,0,0" collisionType=static>
       <collisionShapes>
         <SphereCollisionShape radius="499" />
Index: code/branches/cegui0.8_ogre1.9/data/levels/earth.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/earth.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/earth.oxw	(revision 11795)
@@ -56,54 +56,64 @@
 
     <!-- This is a model of Earth: mass=EarthMass/1000 and radius=EarthRadius[km]*10 -->
-    <Planet
+    <MovableEntity
       position="0,0,0"
       scale="63000"
+      pitch="0"
       collisionType="dynamic"
       linearDamping="0.8"
       angularDamping="0"
       mass="5.9e21"
-      pitch="0"
-      mesh="planets/earth.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="0,1,0"
       rotationrate="0.2"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="0,0,0" mode="newtonianGravity" diameter="140000" massDiameter="126000" mass="5.9e21" />
+        <Planet
+          mesh="planets/earth.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="newtonianGravity" diameter="140000" massDiameter="126000" mass="5.9e21" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="63000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <!-- This is a model of our Moon: mass=MoonMass/1000 and radius=MoonRadius[km]*10 and position=DistanceFromEarth[km]*10 -->
-    <Planet
+    <MovableEntity
       position="3625700,0,0"
       scale="17370"
+      pitch="0"
       collisionType="dynamic"
       linearDamping="0.8"
       angularDamping="0"
       mass="7.36e19"
-      pitch="0"
-      mesh="planets/moon.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="0,1,0"
       rotationrate="0.2"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="0,0,0" mode="newtonianGravity" diameter="40000" massDiameter="34740" mass="7.36e19" />
+        <Planet
+          mesh="planets/moon.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="newtonianGravity" diameter="40000" massDiameter="34740" mass="7.36e19" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="17370" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
     <PortalEndPoint position="3603330,100,0" id="2" distance="40" target="MobileEntity" design="PortalDefault"/>
 
Index: code/branches/cegui0.8_ogre1.9/data/levels/expeditionSector.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/expeditionSector.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/expeditionSector.oxw	(revision 11795)
@@ -588,5 +588,5 @@
     <!-- Planets -->
 
-   <Planet
+    <MovableEntity
         position="<?lua printC(cPlanet1) ?>"
         scale="3000"
@@ -596,22 +596,27 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/muunilinst.mesh"
-        atmosphere="atmosphere1"
         rotationaxis="1,0,0"
         rotationrate="1.0"
-        atmospheresize="80.0f"
-        imagesize="1024.0f"
         collisiondamage=2
         enablecollisiondamage=true
-	      visible=true
-	      active=ture
-      >
+    >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
-        </attached>
-          <collisionShapes>
-            <SphereCollisionShape radius="3000" position="0,0,0" />
+        <Planet
+            mesh="planets/muunilinst.mesh"
+            atmosphere="atmosphere1"
+            atmospheresize="80.0f"
+            imagesize="1024.0f"
+            visible=true
+            active=ture
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
+          </attached>
+        </Planet>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="3000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <?lua
@@ -620,5 +625,5 @@
     ?>
 
-    <Planet
+    <MovableEntity
         position="<?lua printC(cPlanet2) ?>"
         scale="2000"
@@ -628,22 +633,27 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/ganymede.mesh"
-        atmosphere="atmosphere1"
         rotationaxis="1,0,0"
         rotationrate="1.0"
-        atmospheresize="80.0f"
-        imagesize="1024.0f"
         collisiondamage=2
         enablecollisiondamage=true
-	      visible=true
-	      active=true
-      >
+    >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="4000" velocity="-500" />
-        </attached>
-          <collisionShapes>
-            <SphereCollisionShape radius="2000" position="0,0,0" />
+          <Planet
+            mesh="planets/ganymede.mesh"
+            atmosphere="atmosphere1"
+            atmospheresize="80.0f"
+            imagesize="1024.0f"
+            visible=true
+            active=true
+          >
+            <attached>
+              <ForceField position="0,0,0" mode="sphere" diameter="4000" velocity="-500" />
+            </attached>
+          </Planet>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="2000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <?lua
@@ -654,5 +664,5 @@
     <!-- EnemyPlanet(s) -->
 
-    <Planet
+    <MovableEntity
         position="<?lua printC(cEnemyBasePlanet) ?>"
         scale="5000"
@@ -662,22 +672,27 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/jupiter.mesh"
-        atmosphere="atmosphere1"
         rotationaxis="1,0,0"
         rotationrate="1.0"
-        atmospheresize="80.0f"
-        imagesize="1024.0f"
         collisiondamage=2
         enablecollisiondamage=true
-	      visible=false
-	      active=false
-      >
+    >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-500" />
-        </attached>
-          <collisionShapes>
-            <SphereCollisionShape radius="5000" position="0,0,0" />
+        <Planet
+            mesh="planets/jupiter.mesh"
+            atmosphere="atmosphere1"
+            atmospheresize="80.0f"
+            imagesize="1024.0f"
+            visible=false
+            active=false
+          >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-500" />
+          </attached>
+        </Planet>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="5000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <?lua
Index: code/branches/cegui0.8_ogre1.9/data/levels/iiJohnVane_Area51UnderFire.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/iiJohnVane_Area51UnderFire.oxw	(revision 11795)
@@ -2004,19 +2004,24 @@
 
     <!-- PLANETS -->
-      <Planet
-            position="2000,-250,9000" 
-            scale=5000 
-            pitch=1 
+    <MovableEntity
+        position="2000,-250,9000" 
+        scale=5000 
+        pitch=1 
+        rotationaxis="1,1,0" 
+        rotationrate="0.5" 
+        mass="10000000"
+        angularDamping=0
+        collisiondamage=2
+        enablecollisiondamage=true
+        collisionType="dynamic"
+    >
+      <attached>
+        <Planet
             mesh="iceplanet.mesh" 
             atmosphere="atmosphere1" 
-            rotationaxis="1,1,0" 
-            rotationrate="0.5" 
             atmospheresize=224.0f 
-            imagesize=1024.0f
-            mass="10000000"
-            angularDamping=0
-            collisiondamage=2
-            enablecollisiondamage=true
-            collisionType="dynamic" />
+            imagesize=1024.0f />
+      </attached>
+    </MovableEntity>
 
 <!--  PICKUPS to make travelling faster  -->
Index: code/branches/cegui0.8_ogre1.9/data/levels/iiiJohnVane_EscapeTheBastards.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/iiiJohnVane_EscapeTheBastards.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/iiiJohnVane_EscapeTheBastards.oxw	(revision 11795)
@@ -778,5 +778,9 @@
 
 <!--Planet sun-->
-    <Planet position="15000,0,0" scale=1500 pitch=-90 mesh="planets/sol.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=0 imagesize=1024.0f />
+    <MovableEntity position="15000,0,0" scale=1500 pitch=-90 rotationaxis="8,1,0" rotationrate="1">
+      <attached>
+        <Planet mesh="planets/sol.mesh" atmosphere="atmosphere1" atmospheresize=0 imagesize=1024.0f />
+      </attached>
+    </MovableEntity>
     <StaticEntity position="2600,0,0" collisionType=static>
         <collisionShapes>
@@ -790,5 +794,5 @@
 
 <!--Planet with Ally-->
-    <Planet
+    <MovableEntity
       position="0,0,0"
       scale="100"
@@ -798,24 +802,29 @@
       mass="5000000"
       pitch="0"
-      mesh="iceplanet.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
     >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="1000" velocity="-500" />
-                    <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
+        <Planet
+          mesh="iceplanet.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="1000" velocity="-500" />
+                        <ParticleEmitter position="0,0,0" source="Orxonox/fire3" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="100" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 <!-- Planet with Ally END-->
 
 
 <!-- Homeplanet -->
-    <Planet
+    <MovableEntity
       position="-3000,12000,-10000"
       scale="3000"
@@ -825,28 +834,37 @@
       mass="5000000000000"
       pitch="0"
-      mesh="planets/muunilinst.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="0,0,0"
       rotationrate="0.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
     >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-900" />
+        <Planet
+          mesh="planets/muunilinst.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-900" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="3000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 <!-- Homeplanet  END-->
 
 <!-- Planet around the cave-->
 
-<Planet position="-43500,-30000,31900" scale=5000 pitch=-90 mesh="planets/moon.mesh" atmosphere="atmosphere1" rotationaxis="8,1,0" rotationrate="1" atmospheresize=0 imagesize=1024.0f />
+    <MovableEntity position="-43500,-30000,31900" scale=5000 pitch=-90 rotationaxis="8,1,0" rotationrate="1">
+      <attached>
+        <Planet mesh="planets/moon.mesh" atmosphere="atmosphere1" atmospheresize=0 imagesize=1024.0f />
+      </attached>
+    </MovableEntity>
 
 <!-- Planet around the cave END-->
 
 <!-- Anotherplanet -->
-    <Planet
+    <MovableEntity
       position="-20000,6000,7000"
       scale="3000"
@@ -856,15 +874,19 @@
       mass="5000000000000"
       pitch="0"
-      mesh="planets/ganymede.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="0,0,0"
       rotationrate="0.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
     >
+      <attached>
+        <Planet
+          mesh="planets/ganymede.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        />
+      </attached>
       <collisionShapes>
         <SphereCollisionShape radius="3000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 <!-- LAAAGS :-(
 
Index: code/branches/cegui0.8_ogre1.9/data/levels/kecks.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/kecks.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/kecks.oxw	(revision 11795)
@@ -423,30 +423,35 @@
 	   
 	<!--Heimatplanet-->
+    <MovableEntity
+      position="0,100000,0"
+      scale="10000"
+      collisionType="dynamic"
+      linearDamping="0.8"
+      angularDamping="0"
+      mass="5000000"
+      pitch="180"
+      yaw="0"
+      roll="0"
+      rotationaxis="0,0,1"
+      rotationrate="5.0"
+      collisiondamage = 1
+      enablecollisiondamage = true
+    >
+      <attached>
 		<Planet
-		  position="0,100000,0"
-		  scale="10000"
-		  collisionType="dynamic"
-		  linearDamping="0.8"
-		  angularDamping="0"
-		  mass="5000000"
-		  pitch="180"
-		  yaw="0"
-		  roll="0"
 		  mesh="planets/earth.mesh"
 		  atmosphere="atmosphere1"
-		  rotationaxis="0,0,1"
-		  rotationrate="5.0"
 		  atmospheresize="80.0f"
 		  imagesize="1024.0f"
-		  collisiondamage = 1
-		  enablecollisiondamage = true
 		  >
 		  <attached>
-			  <ForceField position="0,0,0" mode="sphere" diameter="1000" velocity="-500" />
-			</attached>
-			<collisionShapes>
-			  <SphereCollisionShape radius="10000" position="0,0,0" />
-			</collisionShapes>
-		  </Planet>	 
+			<ForceField position="0,0,0" mode="sphere" diameter="1000" velocity="-500" />
+		  </attached>
+		</Planet>	 
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="10000" position="0,0,0" />
+      </collisionShapes>
+    </MovableEntity>
 	<!--ENDE Heimatplanet-->	
 
Index: code/branches/cegui0.8_ogre1.9/data/levels/levelTry.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/levelTry.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/levelTry.oxw	(revision 11795)
@@ -149,5 +149,5 @@
     ?>
 
-    <Planet
+    <MovableEntity
       position="15000,0,-1000"
       scale="5000"
@@ -157,20 +157,25 @@
       mass="10000000"
       pitch="0"
-      mesh="planets/ganymede.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+        <Planet
+          mesh="planets/ganymede.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="5000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
   </Scene>
Index: code/branches/cegui0.8_ogre1.9/data/levels/missionOne.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/missionOne.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/missionOne.oxw	(revision 11795)
@@ -1205,5 +1205,5 @@
 
 <!-- @Objects: planet && spaceboundaries  -->
-    <Planet
+    <MovableEntity
       position="-44000,0,0"
       scale="2500"
@@ -1213,20 +1213,25 @@
       mass="10000000"
       pitch="0"
-      mesh="planets/muunilinst.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = "2"
       enablecollisiondamage = "false"
     >
-      <!--attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-50" />
-      </attached-->  <!-- Forcefield kills HYDROGEN FARMER-->
+      <attached>
+        <Planet
+          mesh="planets/muunilinst.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <!--attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-50" />
+          </attached-->  <!-- Forcefield kills HYDROGEN FARMER-->
+        </Planet>
+      </attached>
       <collisionShapes>
         <SphereCollisionShape radius="2500" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
 
Index: code/branches/cegui0.8_ogre1.9/data/levels/planets.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/planets.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/planets.oxw	(revision 11795)
@@ -45,5 +45,5 @@
     />
 
-    <Planet
+    <MovableEntity
       position="0,0,0"
       scale="1000"
@@ -53,22 +53,27 @@
       mass="10000000"
       pitch="0"
-      mesh="planets/muunilinst.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-50" />
+        <Planet
+          mesh="planets/muunilinst.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-50" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="1000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
-    <Planet
+    <MovableEntity
       position="10000,0,0"
       scale="100"
@@ -78,20 +83,25 @@
       mass="5000000"
       pitch="0"
-      mesh="planets/muunilinst.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="1000" velocity="-500" />
+        <Planet
+          mesh="planets/muunilinst.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="1000" velocity="-500" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="100" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
   </Scene>
 </Level>
Index: code/branches/cegui0.8_ogre1.9/data/levels/presentation09.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/presentation09.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/presentation09.oxw	(revision 11795)
@@ -57,5 +57,9 @@
     <?lua end ?>
     
-    <Planet position="0,0,0" scale=10000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
+    <MovableEntity position="0,0,0" scale=10000 pitch=-90 rotationaxis="1,1,0" rotationrate="1">
+      <attached>
+        <Planet mesh="iceplanet.mesh" atmosphere="atmosphere1" atmospheresize=224.0f imagesize=1024.0f />
+      </attached>
+    </MovableEntity>
 
   </Scene>
Index: code/branches/cegui0.8_ogre1.9/data/levels/presentationFS11.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/presentationFS11.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/presentationFS11.oxw	(revision 11795)
@@ -111,5 +111,5 @@
 
     <!-- EARTH -->
-    <Planet
+    <MovableEntity
       position="80500,0,0"
       scale="63000"
@@ -120,20 +120,25 @@
       pitch="-90"
       yaw="50"
-      mesh="planets/earth.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="0,1,0"
       rotationrate="0.2"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="0,0,0" mode="newtonianGravity" diameter="140000" massDiameter="126000" mass="5.9e21" />
+        <Planet
+          mesh="planets/earth.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="newtonianGravity" diameter="140000" massDiameter="126000" mass="5.9e21" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="63000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <!-- PARTICLE EFFECT -->
@@ -329,5 +334,5 @@
     
     <!-- MOON -->
-    <Planet
+    <MovableEntity
       position="-80000,0,0"
       scale="4000"
@@ -337,20 +342,25 @@
       mass="7.36e19"
       pitch="0"
-      mesh="planets/moon.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="0,1,0"
       rotationrate="0.2"
-      atmospheresize="0.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="0,0,0" mode="newtonianGravity" diameter="40000" massDiameter="34740" mass="7.36e19" />
+        <Planet
+          mesh="planets/moon.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="0.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="newtonianGravity" diameter="40000" massDiameter="34740" mass="7.36e19" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="4000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <SimpleNotification message="Hydrogen farmer/space station by Hans" >
Index: code/branches/cegui0.8_ogre1.9/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/presentationHS09.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/presentationHS09.oxw	(revision 11795)
@@ -393,8 +393,4 @@
       </MovableEntity>
     <?lua end ?>
-    
-<!--
-    <Planet position="1000,0,0" mass=900000 scale=1000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
--->
 
   </Scene>
Index: code/branches/cegui0.8_ogre1.9/data/levels/presentationHS12.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/presentationHS12.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/presentationHS12.oxw	(revision 11795)
@@ -353,5 +353,5 @@
     ?>
 
-    <Planet
+    <MovableEntity
       position="15000,0,-1000"
       scale="5000"
@@ -361,20 +361,25 @@
       mass="10000000"
       pitch="0"
-      mesh="planets/ganymede.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+        <Planet
+          mesh="planets/ganymede.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="5000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
 <StaticEntity position="6750,-750,2000" yaw=0 pitch=0>
Index: code/branches/cegui0.8_ogre1.9/data/levels/shadertest.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/shadertest.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/shadertest.oxw	(revision 11795)
@@ -78,5 +78,5 @@
     <!-- Planet close to spawn point -->
 
-    <Planet
+    <MovableEntity
       position="15000,0,-1000"
       scale="5000"
@@ -86,20 +86,25 @@
       mass="10000000"
       pitch="0"
-      mesh="planets/muunilinst.mesh"
-      atmosphere="atmosphere1"
       rotationaxis="1,0,0"
       rotationrate="1.0"
-      atmospheresize="80.0f"
-      imagesize="1024.0f"
       collisiondamage = 2
       enablecollisiondamage = true
     >
       <attached>
-        <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+        <Planet
+          mesh="planets/muunilinst.mesh"
+          atmosphere="atmosphere1"
+          atmospheresize="80.0f"
+          imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="5000,0,0" mode="sphere" diameter="10000" velocity="-50" />
+          </attached>
+        </Planet>
       </attached>
       <collisionShapes>
         <SphereCollisionShape radius="5000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
 
Index: code/branches/cegui0.8_ogre1.9/data/levels/shuttleAttack.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/shuttleAttack.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/shuttleAttack.oxw	(revision 11795)
@@ -930,5 +930,5 @@
     ?>
 
-    <Planet
+    <MovableEntity
         position="<?lua printC(cPlanet1) ?>"
         scale="2000"
@@ -938,20 +938,25 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/muunilinst.mesh"
-        atmosphere="atmosphere1"
         rotationaxis="1,0,0"
         rotationrate="1.0"
-        atmospheresize="80.0f"
-        imagesize="1024.0f"
         collisiondamage = 2
         enablecollisiondamage = true
-      >
+    >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="4000" velocity="-500" />
-        </attached>
-          <collisionShapes>
-            <SphereCollisionShape radius="2000" position="0,0,0" />
+        <Planet
+            mesh="planets/muunilinst.mesh"
+            atmosphere="atmosphere1"
+            atmospheresize="80.0f"
+            imagesize="1024.0f"
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="4000" velocity="-500" />
+          </attached>
+        </Planet>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="2000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <?lua
@@ -960,5 +965,5 @@
     ?>
 
-    <Planet
+    <MovableEntity
         position="<?lua printC(cPlanet2) ?>"
         scale="3000"
@@ -968,20 +973,25 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/planet3.mesh"
-        atmosphere="atmosphere1"
         rotationaxis="1,0,0"
         rotationrate="1.0"
-        atmospheresize="80.0f"
-        imagesize="1024.0f"
         collisiondamage = 2
         enablecollisiondamage = true
-      >
+    >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
-        </attached>
-          <collisionShapes>
-            <SphereCollisionShape radius="3000" position="0,0,0" />
+        <Planet
+            mesh="planets/planet3.mesh"
+            atmosphere="atmosphere1"
+            atmospheresize="80.0f"
+            imagesize="1024.0f"
+          >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
+          </attached>
+        </Planet>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="3000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <?lua
Index: code/branches/cegui0.8_ogre1.9/data/levels/shuttleRetaliation.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/shuttleRetaliation.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/shuttleRetaliation.oxw	(revision 11795)
@@ -880,5 +880,5 @@
     <!-- Planets -->
 
-   <Planet
+    <MovableEntity
         position="<?lua printC(cPlanet1) ?>"
         scale="3000"
@@ -888,22 +888,27 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/muunilinst.mesh"
-        atmosphere="atmosphere1"
         rotationaxis="1,0,0"
         rotationrate="1.0"
-        atmospheresize="80.0f"
-        imagesize="1024.0f"
         collisiondamage = 2
         enablecollisiondamage = true
-    visible=true
-    active=true
-      >
+    >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
-        </attached>
-        <collisionShapes>
-            <SphereCollisionShape radius="3000" position="0,0,0" />
+        <Planet
+            mesh="planets/muunilinst.mesh"
+            atmosphere="atmosphere1"
+            atmospheresize="80.0f"
+            imagesize="1024.0f"
+            visible=true
+            active=true
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="6000" velocity="-500" />
+          </attached>
+        </Planet>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="3000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <?lua
@@ -912,5 +917,5 @@
     ?>
 
-    <Planet
+    <MovableEntity
         position="<?lua printC(cPlanet2) ?>"
         scale="2000"
@@ -920,22 +925,27 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/ganymede.mesh"
-        atmosphere="atmosphere1"
         rotationaxis="1,0,0"
         rotationrate="1.0"
-        atmospheresize="80.0f"
-        imagesize="1024.0f"
         collisiondamage = 2
         enablecollisiondamage = true
-        visible=true
-        active=true
-      >
+    >
       <attached>
-        <ForceField position="0,0,0" mode="sphere" diameter="4000" velocity="-500" />
-        </attached>
-          <collisionShapes>
-            <SphereCollisionShape radius="2000" position="0,0,0" />
+        <Planet
+            mesh="planets/ganymede.mesh"
+            atmosphere="atmosphere1"
+            atmospheresize="80.0f"
+            imagesize="1024.0f"
+            visible=true
+            active=true
+        >
+          <attached>
+            <ForceField position="0,0,0" mode="sphere" diameter="4000" velocity="-500" />
+          </attached>
+        </Planet>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="2000" position="0,0,0" />
       </collisionShapes>
-    </Planet>
+    </MovableEntity>
 
     <?lua
@@ -946,5 +956,5 @@
     <!-- EnemyPlanet -->
 
-    <Planet
+    <MovableEntity
         position="<?lua printC(cEnemyBasePlanet) ?>"
         scale="5000"
@@ -954,19 +964,22 @@
         mass="5000000"
         pitch="0"
-        mesh="planets/jupiter.mesh"
-        atmosphere="atmosphere1"
         rotationaxis="1,0,0"
         rotationrate="1.0"
-        atmospheresize="80.0f"
-        imagesize="1024.0f"
         collisiondamage = 2
         enablecollisiondamage = true
-        visible=false
-        active=false
     >
-        <attached>
+      <attached>
+        <Planet
+            mesh="planets/jupiter.mesh"
+            atmosphere="atmosphere1"
+            atmospheresize="80.0f"
+            imagesize="1024.0f"
+            visible=false
+            active=false
+        >
+          <attached>
            <ForceField position="0,0,0" rotationaxis="0.1,1,0.1"mode="sphere" diameter="10000" velocity="-500" />
-        </attached>
-        <events>
+          </attached>
+          <events>
             <activity>
                 <Trigger  name="enemyPlanetVisible" mode=and>
@@ -1005,9 +1018,11 @@
                  </Trigger>
             </visibility>
-        </events>
-        <collisionShapes>
-          <SphereCollisionShape position="0,0,0" radius=5000/>
-        </collisionShapes>
-    </Planet>
+          </events>
+        </Planet>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape position="0,0,0" radius=5000/>
+      </collisionShapes>
+    </MovableEntity>
 
     <!-- Pawn that represents the planet during destruction -->
Index: code/branches/cegui0.8_ogre1.9/data/levels/testSwallow.oxw
===================================================================
--- code/branches/cegui0.8_ogre1.9/data/levels/testSwallow.oxw	(revision 11787)
+++ code/branches/cegui0.8_ogre1.9/data/levels/testSwallow.oxw	(revision 11795)
@@ -56,5 +56,9 @@
 ?>
 <?lua end ?>
-    <Planet position="0,0,0" scale=10000 pitch=-90 mesh="iceplanet.mesh" atmosphere="atmosphere1" rotationaxis="1,1,0" rotationrate="1" atmospheresize=224.0f imagesize=1024.0f />
+    <MovableEntity position="0,0,0" scale=10000 pitch=-90 rotationaxis="1,1,0" rotationrate="1" >
+      <attached>
+        <Planet mesh="iceplanet.mesh" atmosphere="atmosphere1" atmospheresize=224.0f imagesize=1024.0f />
+      </attached>
+    </MovableEntity>
 
   </Scene>
